---
title: Fetch day-wise analytics data for your livestreams
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Livestreams](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Fetch day-wise analytics data for your livestreams

client.RealtimeKit.Livestreams.GetLivestreamAnalyticsDaywise(ctx, appID, params) (\*[LivestreamGetLivestreamAnalyticsDaywiseResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetLivestreamAnalyticsDaywiseResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/realtime/kit/{app\_id}/analytics/livestreams/daywise

Returns day-wise livestream analytics for the specified time range.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

appID string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_livestream_analytics_daywise%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

<details>

<summary>

params LivestreamGetLivestreamAnalyticsDaywiseParams

</summary>

AccountID param.Field\[string]

Path param: The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_livestream_analytics_daywise%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

EndTime param.Field\[int64]Optional

Query param: Specify the end time as a Unix timestamp in seconds to access the livestream analytics.

formatint64

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_livestream_analytics_daywise%20%3E%20(params)%20default%20%3E%20(param)%20end_time">Link to this property</a>

Filters param.Field\[string]Optional

Query param: Optional filters for livestream analytics.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_livestream_analytics_daywise%20%3E%20(params)%20default%20%3E%20(param)%20filters">Link to this property</a>

StartTime param.Field\[int64]Optional

Query param: Specify the start time as a Unix timestamp in seconds to access the livestream analytics.

formatint64

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_livestream_analytics_daywise%20%3E%20(params)%20default%20%3E%20(param)%20start_time">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20get_livestream_analytics_daywise%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type LivestreamGetLivestreamAnalyticsDaywiseResponse struct{…}

</summary>

<details>

<summary>

Data \[]LivestreamGetLivestreamAnalyticsDaywiseResponseDataOptional

</summary>

Count int64Optional

Count of total livestream sessions.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetLivestreamAnalyticsDaywiseResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20count">Link to this property</a>

Date stringOptional

Analytics date.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetLivestreamAnalyticsDaywiseResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20date">Link to this property</a>

TotalIngestSeconds int64Optional

Total time duration for which the input was given or the meeting was streamed.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetLivestreamAnalyticsDaywiseResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20total_ingest_seconds">Link to this property</a>

TotalViewerSeconds int64Optional

Total view time for which the viewers watched the stream.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetLivestreamAnalyticsDaywiseResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20total_viewer_seconds">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetLivestreamAnalyticsDaywiseResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

Success boolOptional

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetLivestreamAnalyticsDaywiseResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamGetLivestreamAnalyticsDaywiseResponse%20%3E%20(schema)>)

### Fetch day-wise analytics data for your livestreams

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Livestreams.GetLivestreamAnalyticsDaywise(
    context.TODO(),
    "14a396e7-ca44-4937-bf1f-050a69118543",
    realtime_kit.LivestreamGetLivestreamAnalyticsDaywiseParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
```

200 example

```
{
  "data": [
    {
      "count": 4,
      "date": "2023-07-15T00:00:00Z",
      "total_ingest_seconds": 531,
      "total_viewer_seconds": 116
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": [
    {
      "count": 4,
      "date": "2023-07-15T00:00:00Z",
      "total_ingest_seconds": 531,
      "total_viewer_seconds": 116
    }
  ],
  "success": true
}
```